# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['nonebot_plugin_l4d2_server',
 'nonebot_plugin_l4d2_server.l4d2_anne',
 'nonebot_plugin_l4d2_server.l4d2_data',
 'nonebot_plugin_l4d2_server.l4d2_file',
 'nonebot_plugin_l4d2_server.l4d2_image',
 'nonebot_plugin_l4d2_server.l4d2_queries',
 'nonebot_plugin_l4d2_server.l4d2_server']

package_data = \
{'': ['*'],
 'nonebot_plugin_l4d2_server': ['data/L4D2/*',
                                'data/L4D2/image/head/*',
                                'data/L4D2/image/header/*',
                                'data/L4D2/image/template/*']}

install_requires = \
['aiohttp>=3.8.3,<4.0.0',
 'amis-python>=1.0.6,<2.0.0',
 'asyncio>=3.4.3,<4.0.0',
 'beautifulsoup4>=4.8.0,<5.0.0',
 'httpx>=0.23.3,<0.24.0',
 'jieba>=0.42.1,<0.43.0',
 'jinja2>=3.0.0,<4.0.0',
 'nonebot-adapter-onebot>=2.1.5',
 'nonebot2>=2.0.0rc3,<3.0.0',
 'nonebot_plugin_apscheduler>=0.2.0,<0.3.0',
 'nonebot_plugin_htmlrender>=0.2.0.1,<0.3.0.0',
 'nonebot_plugin_txt2img>=0.3.0',
 'pandas>=1.5.2',
 'patool>=1.12,<2.0',
 'pillow>=9.3.0,<10.0.0',
 'python-a2s>=1.3.0,<2.0.0',
 'pyunpack>=0.3.0,<0.4.0',
 'rarfile>=4.0,<5.0',
 'rcon>=2.1.0,<3.0.0',
 'ruamel.yaml>=0.17.21,<0.18.0',
 'srctools>=2.3.9,<3.0.0']

setup_kwargs = {
    'name': 'nonebot-plugin-l4d2-server',
    'version': '0.3.6',
    'description': 'L4D2 server related operations plugin for NoneBot',
    'long_description': '<div align="center">\n  <img src="https://s2.loli.net/2022/06/16/opBDE8Swad5rU3n.png" width="180" height="180" alt="NoneBotPluginLogo">\n  <br>\n  <p><img src="https://s2.loli.net/2022/06/16/xsVUGRrkbn1ljTD.png" width="240" alt="NoneBotPluginText"></p>\n</div>\n\n<div align="center">\n\n# nonebot_plugin_l4d2_server\n_✨Nonebot & Left 4 Dead 2 server操作✨_\n\n<a href="https://github.com/Umamusume-Agnes-Digital/nonebot_plugin_l4d2_server/stargazers">\n        <img alt="GitHub stars" src="https://img.shields.io/github/stars/Umamusume-Agnes-Digital/nonebot_plugin_l4d2_server" alt="stars">\n</a>\n<a href="https://github.com/Umamusume-Agnes-Digital/nonebot_plugin_l4d2_server/issues">\n        <img alt="GitHub issues" src="https://img.shields.io/github/issues/Umamusume-Agnes-Digital/nonebot_plugin_l4d2_server" alt="issues">\n</a>\n<a href="https://jq.qq.com/?_wv=1027&k=HdjoCcAe">\n        <img src="https://img.shields.io/badge/QQ%E7%BE%A4-399365126-orange?style=flat-square" alt="QQ Chat Group">\n</a>\n<a href="https://pypi.python.org/pypi/nonebot_plugin_l4d2_server">\n        <img src="https://img.shields.io/pypi/v/nonebot_plugin_l4d2_server.svg" alt="pypi">\n</a>\n<a href="https://pypi.python.org/pypi/nonebot_plugin_l4d2_server">\n    <img src="https://img.shields.io/pypi/dm/nonebot_plugin_l4d2_server" alt="pypi download">\n</a>\n    <img src="https://img.shields.io/badge/python-3.7+-blue.svg" alt="python">\n    <img src="https://img.shields.io/badge/nonebot-2.0.0rc1+-red.svg" alt="NoneBot">\n</div>\n\n# 导航\n\n - [主要功能](#gn)\n - [安装](#az)\n - [env一键设置](#env)\n - [前置操作](#qz)\n - [指令](#zl)\n - [env参数](#cs)\n - [感谢](#ty)\n - [内置的查询ip](#cx)\n\n<h2 id="gn">主要功能</h2>\n\n- 求生服务器-本地多路径操作（传地图）\n- 批量查询指定ip服务器状态和玩家\n- 创意工坊下载和喷漆制作\n- [求生电信服anne](https://github.com/fantasylidong/CompetitiveWithAnne)[查询~](https://sb.trygek.com/l4d_stats/ranking/index.php)\n\n\n<h2 id="az">安装</h2>\n\n    1、nb plugin install nonebot_plugin_l4d2_server\n    2、pip install nonebot_plugin_l4d2_server\n    3、Download zip\n    4、git clone https://github.com/Umamusume-Agnes-Digital/nonebot_plugin_l4d2_server.git\n\n<h2 id="env">快速使用（env示例）</h2>\n\n        # 复制到env文件里，没有默认就是下列值，如需修改安装下面env设置\n        # 所有的多选，用逗号隔开\n        l4_master = [\'1145149191\']\n        l4_file = [\'/home/ubuntu/l4d2/coop\']\n        l4_host = [\'127.0.0.1\']\n        l4_port = [\'20715\']\n        l4_rcon = [\'1145149191810\']\n        l4_font = \'simsun.ttc\'\n        l4_only = True\n\n<h2 id="qz">前置游戏操作 </h2>\n\n- 如果要操作求生服务器文件，机器人与求生服务器处于同一个服务器上\n\n- 如果你按照以下步骤操作，env配置可以不填\n\n- 创建一个steam求生服务器(预计需要储存14G)\n\n\n<details>\n<summary>展开/收起</summary>\n\n\n### 以ubuntu为例，具体教程建议自行搜索，其中路径可以自行替换\n\n- 安装32位运行库\n\n        sudo apt-get update\n        sudo apt-get upgrade\n        sudo apt-get install lib32gcc1\n\n- 下载steam\n\n        mkdir ~/steamcmd\n        cd ~/steamcmd\n        wget https://steamcdn-a.akamaihd.net/client/installer/steamcmd_linux.tar.gz\n        tar -zxvf steamcmd_linux.tar.gz\n        ./steamcmd.sh\n\n- 下载l4d2文件\n\n        Steam> force_install_dir /home/ubuntu/coop\n        Steam> login anonymous\n        Steam>app_update 222860 validate\n出现Success! App ‘222860’ fully installed后，输入quit或者exit\n\n- 创建启动脚本\n\n        sudo vi /home/ubuntu/coop/cfg/server.cfg\n写入\n\n        hostname "xxx"     //游戏服务器名(英文)\n        rcon_password "114514"  //rcon密码\n        sv_steamgroup "114514"     //Steam组号\n        sv_steamgroup_exclusive 1 //将服务器设为Steam组私有\n        sm_cvar sv_gametypes "coop"//设置游戏模式为合作\n        //设为1可防止玩家加入感染者方，仅战役模式\n        sm_cvar director_no_human_zombies "1"\n        mp_gamemode "coop"//激活游戏模式为合作\n        sm_cvar z_difficulty "Hard"//设置游戏难度为困难\n        sv_tags "hidden" //防止DDOS\n        sm_cvar sv_region 4// 设定服务器区域为亚洲\n        sv_visiblemaxplayers 8 //服务器可见最大玩家数\n        maxplayers 8 //最大玩家数\n\n:wq回车保存\n\n        cd ~\n        sudo vi start.sh\n\n在脚本里写入\n\n        cd /home/ubuntu/l4d2\n        sudo ./srcds_run -game left4dead2 -condebug -tickrate 60 +exec server.cfg +map c2m1_highway\n\n- 启动游戏\n\n        cd ~\n        sh start.sh\n\n</details>\n\n\n<h2 id="zl">🤔 功能（指令）</h2>\n\n\n### 服务器\n\n（被动）上传地图：设置l4_master后，在群内发送压缩包zip/vpk/7z/rar，就可以直接上传地图到服务器了\n        如果设置了管理员，那么在群里也响应\n        [ip]格式为[127.0.0.1:20715]括号内\n\n求生帮助：获取简单的帮助列表\n\n<details>\n<summary>展开/收起</summary>\n\n| 指令 | 范围 | 用途 | 说明 |\n|:-----:|:----:|:----:|:----:|\n| 求生地图/查看求生地图 | 所有人 | 看图 | 获取当前路径下所有的vpk文件，并输出目录 |\n| (求生)地图删除[number] | 群管/超管 | 删图 | 根据求生地图列出的序号，删除地图，[number]可以在第二条消息内输入 |\n| 求生地图[number][改/改名][text] | 群管/超管 | 改图名 | [number]同上，text为更改后名称，如果没有.vpk后缀会自动加上 |\n| 求生服务器指令[text] | 群管/超管 | 控制台 | rcon连接求生服务器控制台，使用ip和passsword |\n| 求生路径 | 群管/超管 | 查看路径 | 查看当前服务器路径 |\n| 求生路径切换[number] | 群管/超管 | 切换路径 | 切换本地服务器路径 |\n\n### anne(电信服)\n\n| 指令 | 范围 | 用途 | 说明 |\n|:-----:|:----:|:----:|:----:|\n| 探监/坐牢/开牢 | 所有人 | 随机抽一个目标云服 | 探监是得分超过160的队伍\\n坐牢是缺人队伍\\n开牢是空人房间 |\n| 求生anne[text]/@/[None] | 所有人 | 查anne成绩 | [text]可以是:空白(则使用绑定信息)、昵称、steamid、@user |\n| 求生绑定/steam绑定/anne绑定[text] | 所有人 | 绑定steam信息 | [text]可以是:昵称、steamid |\n| 求生解绑/steam解绑/anne解绑 | 所有人 | 解绑steam信息 | 无 |\n| 云[number] | 所有人 | 云服信息 | 获取服务器状态和直连ip |\n\n\n### ip(服务器查询)\n\n| 指令 | 范围 | 用途 | 说明 |\n|:-----:|:----:|:----:|:----:|\n| 求生ip[ip] | 所有人 | 查指定服务器 | [text]格式为[127.0.0.1:20715]括号内，可以查询服务器玩家名字 |\n| 求生订阅[ip] | 所有人 | 查询订阅服务器状态 | 返回一个图片\\n显示群所有订阅的服务器名字、状态、地图、玩家名字 |\n| 求生加入[number] | 所有人 | 获取进服直链 | [number]为求生订阅所显示的开头序号 |\n| 求生添加订阅[ip] | 群管 | 群订阅添加 | 新增订阅ip，在下次订阅的时候可以显示 |\n| 求生取消订阅[number] | 所有人 | 群订阅取消 | [number]为求生订阅所显示的开头序号 |\n| 求生更新 添加 [tag] [ip] [text] ([number]) | 群管 | 全局订阅添加 | 可以使用tag(+text)(+number)快速索引服务 |\n| 求生更新 删除 [tag] [number] | 群管 | 全局订阅添加 | [number]为求生订阅标记的默认序号 |\n| 求生更新 | 群管 | 刷新缓存 | 一般用不到，如果卡指令可能有用 |\n\n### 其他功能\n\n| 指令 | 范围 | 用途 | 说明 |\n|:-----:|:----:|:----:|:----:|\n| 创意工坊下载[text] | 所有人 | 下载创意工坊文件 | [text]为id或者网页url |\n| 求生喷漆 | 所有人 | 制作一个喷漆 | 只支持图片暂不支持gif |\n\n</details>\n\n<h2 id="cs">✅ env配置</h2>\n\n<details>\n<summary>展开/收起</summary>\n\n### 本地服务器相关\n| 配置项 | 必填 | 默认值 | 说明 |\n|:-----:|:----:|:----:|:----:|\n| l4_master | 是 | [\'1145149191\'] | list,里面是可以在群里传求生地图的qq号\n| l4_file | 否 | ["/home/ubuntu/l4d2/coop"] | 输入求生服务器的绝对路径,该目录下有游戏启动程序srcds_run |\n| l4_host | 否 | [\'127.0.0.1\'] | 服务器ip，如果是本机一般就是默认 |\n| l4_port | 否 | [\'20715\'] | 服务器端口号 |\n| l4_rcon | 否 | [\'114514\'] | 服务器的rcon密码 |\n\n### 可选填写\n| 配置项 | 必填 | 默认值 | 说明 |\n|:-----:|:----:|:----:|:----:|\n| l4_steamid | 否 | False | 布尔值，默认在输出时隐藏steamid，需要则设置为True |\n| l4_image | 否 | True | 布尔值，是否显示图片 |\n| l4_font | 否 | \'simsun.ttc\' | str，确保在开启图片的时候，字体存在 |\n| l4_only | 否 | False | 布尔值，如果不想在下载的时候阻碍其他指令可以开启，但是有不能下载超过200m地图的bug |\n| l4_style | 否 | \'\' | str,图片风格，目前可选[\'balck\'] |\n\n\n</details>\n\n## ✨ 效果展示\n\n订阅:<br>\n![ip](image/ip_server.png)<br>\nanne:<br>\n![anne](image/anne.png)<br>\n群聊：<br>\n![list](image/list.png)<br>\n私聊：<br>\n![up](image/up.png)<br>\n\n## 🤔 FAQ\n\n        Q:UnicodeDecodeError: \'utf-8\' codec can\'t decode byte 0xd0 in position xxx: invalid continuation byte</b>\n\n        A:说明rcon连接服务器时返回了乱码，有可能读取的信息包含表情包或者其他不明字符，我的方法是找到本地pypi包的rcon，编辑rcon/source/async_rcon.py,找到return response.payload.decode(encoding)并替换为return response.payload.decode(encoding,errors=\'ignore\')\n\n\n        Q:ModuleNotFoundError: No module named \'_lzma\'\n\n        A:python3.3版本后常见，解决方法是\n        vim /usr/local/lib/python3.10/lzma.py\n        #修改前\n        from _lzma import *\n        from _lzma import _encode_filter_properties, _decode_filter_properties\n        #修改后 \n        try:\n        from _lzma import *\n        from _lzma import _encode_filter_properties, _decode_filter_properties\n        except ImportError:\n        from backports.lzma import *\n        from backports.lzma import _encode_filter_properties, _decode_filter_properties\n\n         - 解压功能\n \n        # rar压缩包\n        # win直接下winRAR软件就可以\n        # Ubuntu 和 Debian\n        sudo wget https://www.rarlab.com/rar/rarlinux-x64-621b1.tar.gz\n        sudo tar -xzpvf rarlinux-x64-621b1.tar.gz\n        cd rar\n        sudo make\n\n\n## 📝 TODO LIST\n\n<details>\n<summary>展开/收起</summary>\n\n- [ ] 帮助命令\n- [x] 创意工坊内容下载并上传q群\n- [ ] 求生每日签到/抽签\n- [ ] 按照数值自定义绘画信息图片\n- [ ] 支持直接修改本地cfg文件\n- [ ] ~支持远程连接求生服务器并操作~\n\n</details>\n\n## 🐛  已知BUG\n\n<details>\n<summary>展开/收起</summary>\n\n- [ ] 更改地图名称后，排序会错误\n- [ ] 求生喷漆可加载但无法输出\n\n</details>\n\n## 🔖 更新日志\n\n<details>\n<summary>展开/收起</summary>\n\n### 0.3.5--2022.3.6\n\n - 新增ping查询（在ip里包括）\n - 新增api查询（未完成）\n - 修复了电信服查询绑定名字无法查询的错误\n - 新增了救援率的显示\n - 新增web端（未完成）\n\n### 0.3.4--2022.3.1\n\n - 新增本地插件smx查询\n - 增加了三个内置群服\n - 修改了图片的UI,变好看了\n - 删减了部分图片和字体，使得轻量化\n - 修复了海量bug\n - 修复了python3.8中typing错误\n\n### 0.3.3--2022.2.26\n\n - 重写协议，使用a2s库，同时解决win端不同报错无法输出\n - 重~抄~写服务器查询UI,解决了不好看的问题\n - 从win测试，解决了一些win特有的bug\n - 重写服务器查询~还得是json~\n - 内置服务器查询系统，可以通过[服务器简称]+[number]/[模式]来访问\n - 新增批量查询服务器，不带参数则返回图片\n\n### 0.3.1--2022.2.22\n\n - 修复了路径识别为str对象的错误\n - 修复了初始化找不到文件的错误\n - 修复了路径拼接错误\n - 在win端成功测试，修复压缩包bug\n - 新增开关协程异步env设置\n - 测试rcon建立通讯\n - 实现切换路径查看地图和使用rcon指令\n\n### 0.3.0--2022.2.18\n\n - 修改了新的env配置，使得支持本地多服务器操作\n - 彻底解决了压缩包解压linux端的问题\n - 解决了win端默认gbk解码的错误\n - 解决rcon指令字体报错\n\n### 0.2.5--2022.2.10\n\n - 修复了依赖不足的bug\n - 更新了电信服战绩个人图片UI\n - 更新了批量服务器查看的UI\n - 修改了传文件为协程异步\n - 优化了部分rcon指令\n - ~tnd7z怎么不去死啊~使用pyunpack库解压7z\n\n### 0.2.4--2022.2.8\n\n - 使用poetry修复了pip安装文件缺失的bug\n\n### 0.2.3--2022.2.7\n\n - 新增坐牢和开牢\n - 修改了获取资源为异步协程却阻碍其他指令的bug\n - 新增json统计部分已知服务器（未来应该独立成库持续更新，如果把您的非公开服记录请联系我删除）\n - 喷剂制作开摆了，推测需要c/c++环境\n - 修改抽取文案\n - 新增查询服务器状态时返回connect ip\n - 修复了服务器查询无响应的时候，因为报错无回复信息的bug\n - 个人信息重置测试代码，下个版本更新\n - 新增求生更新添加和删除\n\n### 0.2.2--2022.2.1\n\n - 新增探监\n - 新增喷漆制作\n - 修复了魔改服务器导致解包错误的bug（就是直接忽略了）\n - 修改了部分对话响应\n\n### 0.2.1--2022.1.25\n\n - 新增电信服获取（东哥的肯定）\n - 优化图片UI \n - 新增云服快捷查询\n - 修复了因为没用玩家，导致的服务器状态查询错误\n - 新增电信服ip爬取（仅仅作为单次更新ip列表）\n\n### 0.2.0--2022.1.21\n\n - 新增创意工坊查询\n - 优化查询图片UI\n - 新增创意工坊文件下载\n - 修复了因为电信服官网前端修改导致查询失败的BUG\n\n### 0.1.7--2022.1.19\n\n - 新增群ip订阅，批量查询\n - 新增图片显示ip状态\n - 修复了因为玩家名字特殊字符导致的utf-8解码错误\n - 更新自己的第三方库VSQ==0.0.6\n\n### 0.1.6--2022.1.15\n\n - 新增ip查询服务器提供玩家数量和名字\n - 增加协程函数修复因为加载顺序导致的错误\n - 更新自己的第三方库VSQ==0.0.4\n\n### 0.1.5--2022.1.15\n\n- 新增服务器控制台指令，新增依赖rcon\n- 重新了数据库，不再使用json而是使用sql3\n- 改写了求生anne信息显示方式：如果单个数据以图片显示，如果多个数据以文字显示\n\n### 0.1.4--2022.1.9\n\n- 新增求生anne详情（看排名）\n- 所有的请求改为httpx\n- 更新了anne信息图片\n- 可选使用模拟谷歌浏览器来获取anne更多数据（~有点屎了，希望大佬救救~)\n\n### 0.1.3--2022.1.7\n\n- 新增绑定昵称和steamid\n- 新增可以艾特人查询anne成绩\n- 新增解绑信息\n\n### 0.1.2--2022.1.6\n\n- 新增支持图片输出\n- 新增查询anne服数据\n\n### 0.1.1--2022.1.5\n\n- 新增删除地图\n- 新增地图改名\n- 新增支持图片输出\n\n### 0.1.0--2022.1.4\n\n- 集中修复了Bug\n\n### 0.0.9--2022.1.4\n\n- 新增上传地图后，检测对比回复新地图名字\n- 修复中文名乱码问题\n\n### 0.0.8--2022.1.4\n\n- 支持vpk格式地图\n- 支持查看所有vpk格式文件\n\n### 0.0.6--2022.1.3\n\n- 修复了7z压缩包的方式，优化代码\n\n### 0.0.1--2022.1.3\n\n- 插件初次发布，可私聊添加地图\n\n</details>\n\n## ✨ 开发环境\nwin10 python3.9 <br>\nubuntu20.04 python3.10\n\n## 📖许可证GPL3.0\n\n        This project is licensed under the GNU General Public License v3.0. See the LICENSE file for more information.\n\n\n<h2 id="ty">🌐感谢</h2>\n\n- 1、[修仙插件的数据库写法](https://github.com/s52047qwas/nonebot_plugin_xiuxian)\n- 2、~[自己写的求生之路查询库](https://github.com/Umamusume-Agnes-Digital/VSQ)~\n- 3、[可爱小Q的帮助(太好看了tql)](https://github.com/MeetWq/mybot)\n- 4、感谢petpet交流群各位大佬指点nonebot2事件处理api\n- 5、ArcPav改的暗♂黑风格菜单\n\n<h2 id="cx">服务器相关 </h2>\n\n目前插件会内置经腐竹同意的服的查询（未来将使用api）\n\n| 指令 | 服务器 | op | 数量 |\n|:-----:|:----:|:----:|:----:|\n| 云 | ~anne电信服云服~(暂时不提供) | 东 | 24\n| 呆呆 | 呆呆的小窝 | 提莫大魔王 | 15\n| 橘 | 橘希实香的小窝 | 橘希实香 | 7\n\n如果需要上传自己的ip可以Pr、iss或者进qq群\n\n[pr修改这个文件](https://github.com/Umamusume-Agnes-Digital/nonebot_plugin_l4d2_server/blob/main/nonebot_plugin_l4d2_server/data/L4D2/l4d2.json)\n',
    'author': 'Agnes_Digital',
    'author_email': 'Z735803792@163.com',
    'maintainer': 'None',
    'maintainer_email': 'None',
    'url': 'https://github.com/Umamusume-Agnes-Digital/nonebot_plugin_l4d2_server',
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'python_requires': '>=3.7,<4.0',
}


setup(**setup_kwargs)
